Asset Links
3 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List cross-entity links for an item#
GET
/spaces/{spaceId}/lists/items/{itemId}/linksTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
spaceIdPflicht | Pfad | any | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/links" \
-H "Authorization: Bearer $XISUITE_TOKEN"Create a link#
POST
/spaces/{spaceId}/lists/items/{itemId}/linksTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
spaceIdPflicht | Pfad | any | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
target_typePflicht | string | Werte: |
target_idPflicht | string | – |
link_type | string | Werte: |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/links" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"target_type":"asset_item","target_id":"…"}'Delete a link#
DELETE
/spaces/{spaceId}/lists/items/{itemId}/links/{linkId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
linkIdPflicht | Pfad | string | – |
itemIdPflicht | Pfad | any | – |
spaceIdPflicht | Pfad | any | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/links/{linkId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"